//----------------------------------------------------------------------
// Common.java
// Author: Bob Dondero
//----------------------------------------------------------------------

package edu.princeton.penny;

import java.util.Date;
import java.util.Calendar;
import java.text.DateFormat;

public class Common
{
   private static String getAmPm()
   {
      if (Calendar.getInstance().get(Calendar.AM_PM) == Calendar.AM)
         return "morning";
      return "afternoon";
   }
   
   private static String getCurrentTime()
   {
      DateFormat df = DateFormat.getDateInstance(DateFormat.FULL);
      return df.format(new Date());
   }
   
   public static String getHeader()
   {   
      String html = "";
      html += "<hr>";
      html += "Good " + getAmPm() + " and welcome to ";
      html += "<strong>Penny.com</strong>";
      html += "<hr>";
      return html;
   }
  
   public static String getFooter()
   {
      String html = "";
      html += "<hr>";
      html += "Today is " + getCurrentTime() + ".<br>";
      html += "Created by ";
      html += "<a href=\"https://www.cs.princeton.edu/~rdondero\">";
      html += "Bob Dondero</a>";
      html += "<hr>";
      return html;
   }
}
