//----------------------------------------------------------------------
// Penny.java
// Author: Bob Dondero
//----------------------------------------------------------------------

package edu.princeton.penny;

import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.servlet.ServletHandler;
    
public class Penny
{
   public static void main( String[] args )
   {
      if (args.length != 1)
      {  
         System.err.println("Usage: java Penny port");
         System.exit(1);
      } 
      
      Server server = new Server(Integer.parseInt(args[0]));
      ServletHandler handler = new ServletHandler();
      server.setHandler(handler);
      
      handler.addServletWithMapping(
         IndexServlet.class, "/");
      handler.addServletWithMapping(
         IndexServlet.class, "/index");
      handler.addServletWithMapping(
         SearchFormServlet.class, "/searchform");
      handler.addServletWithMapping(
         SearchResultsServlet.class, "/searchresults");
      
      try
      { 
         server.start();
         server.join();
      }
      catch (Exception e) {System.err.println(e); }
   }
}
