//----------------------------------------------------------------------
// SearchFormServlet.java
// Author: Bob Dondero
//----------------------------------------------------------------------

package edu.princeton.penny;

import java.io.PrintWriter;
import java.io.IOException;
import java.net.URLDecoder;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.Cookie;
import org.apache.commons.text.StringEscapeUtils;

public class SearchFormServlet extends HttpServlet
{
   protected void doGet(HttpServletRequest request,
      HttpServletResponse response)
      throws ServletException, IOException
   {
      String prevAuthor = Util.getCookie(request, "prevAuthor");
      if (prevAuthor == null)
         prevAuthor = "(none)";
      prevAuthor = URLDecoder.decode(prevAuthor);

      response.setContentType("text/html; charset=utf-8");
      PrintWriter pw = response.getWriter();
      pw.println("<!DOCTYPE html>");
      pw.println("<html>");
      pw.println("<head>");
      pw.println("<title>Penny.com</title>");
      pw.println("</head>");
      pw.println("<body>");
      pw.println(Common.getHeader());
      pw.println("<h1>Author Search</h1>");
      pw.println("<form action=\"/searchresults\" method=\"get\">");
      pw.println("Please enter an author name:");
      pw.println("<input type=\"text\" name=\"author\" autofocus>");
      pw.println("<input type=\"submit\" value=\"Go\">");
      pw.println("</form>");
      pw.println("<br>");
      pw.println("<br>");
      pw.println("<strong>Previous author search:</strong> ");
      pw.println(StringEscapeUtils.escapeHtml4(prevAuthor));
      pw.println("<br>");
      pw.println("<br>");
      pw.println(Common.getFooter());
      pw.println("</body>");
      pw.println("</html>");
   }
}
